GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_GtkDataboxPrivate Struct Reference
Collaboration diagram for _GtkDataboxPrivate:
[legend]

## Data Fields

GdkPixmap * | backing_pixmap
gfloat | total_left
gfloat | total_right
gfloat | total_top
gfloat | total_bottom
gfloat | visible_left
gfloat | visible_right
gfloat | visible_top
gfloat | visible_bottom
GtkDataboxScaleType | scale_type_x
GtkDataboxScaleType | scale_type_y
gfloat | translation_factor_x
gfloat | translation_factor_y
gboolean | enable_selection
gboolean | enable_zoom
GtkAdjustment * | adj_x
GtkAdjustment * | adj_y
GtkDataboxRuler * | ruler_x
GtkDataboxRuler * | ruler_y
GList * | graphs
GdkGC * | select_gc
GdkPoint | marked
GdkPoint | select
GtkDataboxValueRectangle | selectionValues
gfloat | zoom_limit
gboolean | selection_active
gboolean | selection_finalized
GtkShadowType | box_shadow

## Field Documentation

GtkAdjustment* adj_x

GtkAdjustment* adj_y

GdkPixmap* backing_pixmap

GtkShadowType box_shadow

gboolean enable_selection

gboolean enable_zoom

GList* graphs

GdkPoint marked

GtkDataboxRuler* ruler_x

GtkDataboxRuler* ruler_y

GtkDataboxScaleType scale_type_x

GtkDataboxScaleType scale_type_y

GdkPoint select

GdkGC* select_gc

gboolean selection_active

gboolean selection_finalized

GtkDataboxValueRectangle selectionValues

gfloat total_bottom

gfloat total_left

gfloat total_right

gfloat total_top

gfloat translation_factor_x

gfloat translation_factor_y

gfloat visible_bottom

gfloat visible_left

gfloat visible_right

gfloat visible_top

gfloat zoom_limit

The documentation for this struct was generated from the following file:

- gtk/gtkdatabox.c

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines